@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pico_binary_info

Binary info is intended for embedding machine readable information with the binary in FLASH. More...

## Macros

#define | bi_decl(_decl)
| Declare some binary information that will be included if the contain source file/line is compiled into the binary.
#define | bi_decl_if_func_used(_decl)
| Declare some binary information that will be included if the function containing the decl is linked into the binary. The SDK uses –gc-sections, so functions that are never called will be removed by the linker, and any associated binary information declared this way will also be stripped.

## Detailed Description

Binary info is intended for embedding machine readable information with the binary in FLASH.

Example uses include:

- Program identification / information
- Pin layouts
- Included features
- Identifying flash regions used as block devices/storage

## Macro Definition Documentation

## bi_decl

#define bi_decl | ( |  | _decl | ) |

Value:
__bi_mark_enclosure _decl; __bi_decl(__bi_ptr_lineno_var_name, &__bi_lineno_var_name.core, ".binary_info.keep.", __used);

Declare some binary information that will be included if the contain source file/line is compiled into the binary.

## bi_decl_if_func_used

#define bi_decl_if_func_used | ( |  | _decl | ) |

Value:
({__bi_mark_enclosure _decl; __bi_decl(__bi_ptr_lineno_var_name, &__bi_lineno_var_name.core, ".binary_info.", ); *(const volatile uint8_t *)&__bi_ptr_lineno_var_name;});

Declare some binary information that will be included if the function containing the decl is linked into the binary. The SDK uses –gc-sections, so functions that are never called will be removed by the linker, and any associated binary information declared this way will also be stripped.